Skip to main content
PATCH
/
api
/
v1
/
merchant
/
webhooks
/
{id}
/
toggle
Toggle webhook active status
curl --request PATCH \
  --url https://payments.oaknetwork.org/api/v1/merchant/webhooks/{id}/toggle \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "description": "<string>",
    "isActive": true,
    "secret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

id
string<uuid>
required

Response

Webhook status toggled

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)